function removeKeyFromHash(removeKey, array)
{
	var result = new Object();
	for (var key in array)
	{
		if (key != removeKey) result[key] = array[key];
	}
	return result;
}

function keysFromHash(hash)
{
	var keys = new Array();
	for (var key in hash)
	{
		keys.push(key);
	}
	return keys;
}

function inArray(value, arr) {
	if("object" != typeof(arr))
		return;
	
	for(var i = 0; i < arr.length; i++) {
		if(arr[i] == value)
			return true;
	}
	return false;
}

function selectValue(element, value)
{
	if(!element)
		return;
	
	for (i = 0; i < element.length; i++)
	{
		if (element.options[i].value == value)
		{
			element.selectedIndex = i;
			return;
		}
	}
}

function openDiagnosis()
{
	blendDialogOut();
	if(window.widget)
		 widget.openApplication("com.apple.NetworkDiagnostics");
}

function openConsole()
{
	if(window.widget)
		 widget.openApplication("com.apple.Console");
}

function localizedWeekday(date)
{
	var tage;
	if ("DE" == currentLocale()) tage = new Array("Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Sonnabend");
	else tage = new Array("Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag");	
	return tage[date.getDay()];
}

function printableDate(date)
{
	return localizedWeekday(date) + ', ' + date.getDate() + '.' + (date.getMonth() + 1) + '.';
}

function currentLocale()
{
	var locale = FernsehPlugin.currentLocale();
	if (undefined == locale) return "DE";
	var comps = locale.split("_");
	if (comps.length != 2) return "DE";
	return comps[1];
}

function mergeHashes(hashOne, hashTwo)
{
	var result = new Object();
	for (var key in hashOne)
	{
		result[key] = hashOne[key];
	}
	for (var key in hashTwo)
	{
		result[key] = hashTwo[key];
	}
	return result;
}